#
# spec file for package perl-WWW-Shorten
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name WWW-Shorten
Name:           perl-WWW-Shorten
Version:        3.094
Release:        1.17
Summary:        Interface to URL shortening sites
License:        Artistic-1.0 OR GPL-1.0-or-later
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/C/CA/CAPOEIRAB/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Getopt::Long) >= 2.4
BuildRequires:  perl(LWP::UserAgent) >= 5.835
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(Try::Tiny) >= 0.24
Requires:       perl(Getopt::Long) >= 2.4
Requires:       perl(LWP::UserAgent) >= 5.835
Requires:       perl(Try::Tiny) >= 0.24
%{perl_requires}

%description
A Perl interface to various services that shorten URLs. These sites
maintain databases of long URLs, each of which has a unique identifier.

%prep
%autosetup  -n %{cpan_name}-%{version}
find . -type f ! -path "*/t/*" ! -name "*.pl" ! -path "*/bin/*" ! -path "*/script/*" ! -name "configure" -print0 | xargs -0 chmod 644

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
# MANUAL no testing (needs network)
#make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README
%license LICENSE

%changelog
* Sat Mar 13 2021 Tina Müller <timueller+perl@suse.de>
- updated to 3.094
  see /usr/share/doc/packages/perl-WWW-Shorten/Changes
* Mon Apr  4 2016 coolo@suse.com
- updated to 3.093
  see /usr/share/doc/packages/perl-WWW-Shorten/Changes
* Mon Mar 21 2016 coolo@suse.com
- updated to 3.092
  see /usr/share/doc/packages/perl-WWW-Shorten/Changes
* Wed Dec 16 2015 coolo@suse.com
- updated to 3.08
  see /usr/share/doc/packages/perl-WWW-Shorten/Changes
* Wed Apr 15 2015 coolo@suse.com
- updated to 3.06
  see /usr/share/doc/packages/perl-WWW-Shorten/Changes
* Fri Oct  4 2013 coolo@suse.com
- updated to 3.04
  Dave Cross <dave@dave.org.uk> (17):
  * Finish removing all references to SnipURL.pm.
  * Bump to version 2.05 for release.
  * Removed support for shorl.pm (now in WWW::Shorten::Shorl distribution).
  * Bumped version number. Removed shorl files from MANIFEST.
  * Added Config::Auto to list of dependencies (it's used by the shorten
    program). Bumped version for release.
  * Default to using a service that we currently support.
  * Added MYMETA.yml to MANIFEST.SKIP.
  * Be far more intelligent about the code that allows the user to choose
    which service to use.
  * Bump version number for release.
  * Better examples of using bin/shorten
  * Added a WWW::Shorten::UserAgent object which dies if it receives an HTTP
    error response.
  * Added documentation.
  * Added META.json to MANIFEST.
  * Licensing clean-up.
  * Removed prototypes (and the ampersands in the tests that circumvented
    them)
  * Bump version number for release.
  * Moved Pod tests into xt. (Pod coverage currently fails on some files. See
    https://rt.cpan.org/Ticket/Display.html?id=87634 for details.)
  Dave Cross <dave@angel.mag-sol.com> (1):
  * Removed support for NotLong and OneShortLink (separate distributions to
    follow soon). Bumper to version 2.06.
  Dave Cross <dave@dacross.(none)> (1):
  * Removed version number so it's picked up from lib/WWW/Shorten.pm
  yappo <yappo@shibuya.pl> (1):
  * shorl.com was change the request method ( POST to GET )
* Mon May 28 2012 coolo@suse.com
- updated to 3.03
  * MANIFEST, lib/WWW/Shorten/UserAgent.pm, lib/WWW/Shorten/generic.pm: Added a
  WWW::Shorten::UserAgent object which dies if it receives an HTTP error
  response.
  * relicensed to Aritistic-2.0
* Mon Dec 19 2011 coolo@suse.de
- cleanup spec file
* Sat Jan 22 2011 coolo@novell.com
- initial package 3.02
  * created by cpanspec 1.78.03
